Project

General

Profile

Bug #1966

[guake][openrc]: guake wont start on i686

bill-auger - about 2 years ago - . Updated about 2 years ago.

Status:
open
Priority:
bug
Assignee:
-
% Done:

0%


Description

the guake package comes from archlinux32

i did not have this problem with systemd on x86_64 so im not sure yet if this is a problem with openrc, dbus, or is specific to i686

$ guake
Guake not running, starting it
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.guake3.RemoteControl': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/guake/main.py", line 273, in main
    remote_object = bus.get_object(DBUS_NAME, DBUS_PATH)
  File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3.6/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.guake3.RemoteControl was not provided by any .service files

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/guake", line 10, in <module>
    sys.exit(exec_main())
  File "/usr/lib/python3.6/site-packages/guake/main.py", line 388, in exec_main
    if not main():
  File "/usr/lib/python3.6/site-packages/guake/main.py", line 287, in main
    from guake.guake_app import Guake
  File "/usr/lib/python3.6/site-packages/guake/guake_app.py", line 36, in <module>
    gi.require_version('Gtk', '3.0')
AttributeError: module 'gi' has no attribute 'require_version'

History

#1

Updated by bill-auger about 2 years ago

looks very similar to this open upstream issue https://github.com/guake/guake/issues/1349

#2

Updated by ovruni about 2 years ago

guake (i686) needs to be rebuilt for python3.7

Can you try installing guake-3.3.2-2 (x86_64)?

#3

Updated by bill-auger about 2 years ago

yea - thats what the archlnux32 guys said too

and no i cant try the x86_64 package - my main PC died this week - ill be in 32bit-land for some time

the only reason i noticed this was because i filed a bug report upstream and they just responded this week - so i wanted to see if that bug still exists

https://github.com/Guake/guake/issues/1277

they asked me to try building from git if the scrolling bug still exists

Also available in: Atom PDF